]> git.lyx.org Git - lyx.git/blobdiff - lib/scripts/convertDefault.sh
*lib/scripts/layout2layout.py: Fix section labelling
[lyx.git] / lib / scripts / convertDefault.sh
index 7f98d4af2193ef5acce5738a3cd1e73014fd6c51..9c381f8342fa24710ed6b4e23cba8cd529a1fd46 100644 (file)
 # replacement in ~/.lyx/scripts
 
 # converts an image from $1 to $2 format
-convert -depth 8 $1 $2
-if [ $? -ne 0 ]; then
-    exit $?
-fi
-
-# It appears that convert succeeded, but we know better than to trust it ;-)
-# convert is passed strings in the form "FMT:FILENAME", so use the ':' to
-# delimit the two parts.
-FILE=`echo $2 | cut -d ':' -f 2`
-
-# FSTATUS == 0 is the file exists and == 1 if it does not.
-FSTATUS=0
-test -f $FILE || FSTATUS=1
-
-exit $FSTATUS
+convert -depth 8 "$1" "$2" || {
+       echo "$0 ERROR" >&2
+       echo "Execution of \"convert\" failed." >&2
+       exit 1
+}